Bug 13778 - Putting patron lists buttons into a dropdown menu
Summary: Putting patron lists buttons into a dropdown menu
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-02 14:05 UTC by Nicole C. Engard
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patron lists buttons (60.94 KB, image/png)
2015-03-02 14:05 UTC, Nicole C. Engard
Details
Bug 13778: Putting patron lists buttons into a dropdown menu (4.94 KB, patch)
2016-02-10 20:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13778: Putting patron lists buttons into a dropdown menu (4.96 KB, patch)
2016-02-10 20:48 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13778: Putting patron lists buttons into a dropdown menu (5.10 KB, patch)
2016-02-11 07:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13778: Putting patron lists buttons into a dropdown menu (5.16 KB, patch)
2016-02-12 14:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13778: Putting patron lists buttons into a dropdown menu (5.23 KB, patch)
2016-02-12 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13778: Only the last column is not sortable (1.14 KB, patch)
2016-02-12 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-03-02 14:05:42 UTC
Created attachment 36309 [details]
patron lists buttons

The lists buttons are wrapping in some cases when there is plenty of room for them to show - makes them ugly looking.
Comment 1 Owen Leonard 2015-03-02 14:09:34 UTC
Maybe the button actions could be moved into a single pop-up menu like we did with reports.
Comment 2 Nicole C. Engard 2015-03-05 10:26:49 UTC
I like that idea.
Comment 3 Aleisha Amohia 2016-02-10 20:46:55 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2016-02-10 20:48:13 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2016-02-11 07:41:45 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2016-02-12 14:50:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-02-12 15:57:33 UTC
Created attachment 47998 [details] [review]
Bug 13778: Putting patron lists buttons into a dropdown menu

To test:
1) Go to Tools -> Patron lists
2) If there are no lists, confirm there is a message box saying 'There are no patron lists.'
3) Create a list if you do not already have one.
4) Confirm that in the 'Actions' drop down menu next to the list, the options to 'Add patrons',
   'Edit', 'Delete', and 'Print patron cards' are all there and work as expected.

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2016-02-12 15:57:37 UTC
Created attachment 47999 [details] [review]
Bug 13778: Only the last column is not sortable

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Brendan Gallagher 2016-02-24 03:01:48 UTC
pushed to Master - Should be in the May 2016 release. Thanks!
Comment 10 Julian Maurice 2016-03-07 10:47:10 UTC
The initial issue was actually fixed by bug 15223.
So this bug is an enhancement, severity changed.